  
#include <p18f26j11.h>

#include "h/FctnADC.h"
#include "h/Utilitaires.h"


void InitADC(void)
{
	ADCON0 = 0x0D;	/* Slection du canal 3 - Broche AN3 et
	activation du module ADC */

	ADCON1 = 0x0F;

	ANCON1 = 0xF7;	/* Configuration de la broche AN3 en
	tant qu'entre analogique */

	ANCON1 = 0x1F;
}

int LectureADCCanal0(void)
{
	int Lecture = 0;

	ADCON0 = (ADCON0 | 0x02);	/* Lancement d'une conversion analogique - numrique */

	while(ADCON0 & 0x02);	/* Tant qu'une conversion analogique - numrique est en cours */

	Lecture = (ADRESL >> 6);
	Lecture = (Lecture | ((int)ADRESH << 2));

	return Lecture;
}

unsigned int NombrePseudoAleatoire(unsigned char Minimum, unsigned char Maximum)
{
	static unsigned int Compteur = 0;

	Compteur = (unsigned int)(Compteur + LectureADCCanal0() + TMR0L);

	return NombreEntreBornes(Compteur, Minimum, Maximum);
}


