 


#include "h/SemiGraphique.h"
#include "h/Affichages.h"


void DessinerBatonnet(unsigned char Couleur, unsigned char Taille, unsigned char X, unsigned char Y)
{
	unsigned char k;

	for(k = 0; k < Taille; k++)
	{
		PositionnerCurseurMinitel((Y + k), X);
		EnvoyerAuMinitel(0x0E);
		ChoisirCouleurCaractere(Couleur);
		EnvoyerAuMinitel(0x35);
	}

	ChoisirCouleurCaractere(MINITEL_COULEUR_CARACTERE_BLANC);

	EnvoyerAuMinitel(0x0F);
} 

void EffacerBatonnet(unsigned char Taille, unsigned char X, unsigned char Y)
{
	unsigned char k;

	for(k = 0; k < Taille; k++)
	{
		PositionnerCurseurMinitel((Y + k), X);
		EnvoyerAuMinitel(' ');
	}
} 

void AfficherPoint(unsigned char X, unsigned char Y)
{
	PositionnerCurseurMinitel(Y, X);
	EnvoyerAuMinitel(0x7F);
}

void DessinerElementPendu(unsigned char Etape)
{
	unsigned char k;

	switch(Etape)
	{
		case 0 :
		{
			break;
		}
		case 1 :
		{
			for(k = 0; k < 13; k++)
			{
				AfficherPoint(27, (18 - k));
			}

			break;
		}
		case 2 :
		{
			for(k = 0; k < 11; k++)
			{
				AfficherPoint((28 + k), 6);
			}

			break;
		}
		case 3 :
		{
			AfficherPoint(28, 10);
			AfficherPoint(29, 9);
			AfficherPoint(30, 8);
			AfficherPoint(31, 7);

			break;
		}
		case 4 :
		{
			AfficherPoint(36, 7);
			AfficherPoint(36, 8);

			break;
		}
		case 5 :
		{
			AfficherPoint(36, 9);
			AfficherPoint(35, 10);
			AfficherPoint(36, 11);
			AfficherPoint(37, 10);

			break;
		}
		case 6 :
		{
			AfficherPoint(36, 12);
			AfficherPoint(36, 13);
			AfficherPoint(36, 14);

			break;
		}
		case 7 :
		{
			AfficherPoint(35, 12);
			AfficherPoint(34, 13);

			break;
		}
		case 8 :
		{
			AfficherPoint(37, 12);
			AfficherPoint(38, 13);

			break;
		}
		case 9 :
		{
			AfficherPoint(35, 15);
			AfficherPoint(34, 16);

			break;
		}
		case 10 :
		{
			AfficherPoint(37, 15);
			AfficherPoint(38, 16);

			break;
		}
		default :
		{
			break;
		}
	}
}
