


#define MINITEL_BIP_SONORE 0x07

#define MINITEL_CARACTERE_EFFACEMENT_ECRAN 0x0C

#define MINITEL_CARACTERE_RETOUR_LIGNE 0x0D

#define MINITEL_JEU_CARACTERES_G1 0x0E
#define MINITEL_JEU_CARACTERES_G0 0x0F

#define MINITEL_CURSEUR_ACTIVE 0x11
#define MINITEL_CURSEUR_DESACTIVE 0x14

#define MINITEL_JEU_CARACTERES_G2 0x19

#define MINITEL_CARACTERE_ECHAPPEMENT 0x1B

#define MINITEL_CARACTERE_DEMANDE_POSITION 0x1F

#define MINITEL_COULEUR_CARACTERE_NOIR 0x40
#define MINITEL_COULEUR_CARACTERE_ROUGE 0x41
#define MINITEL_COULEUR_CARACTERE_VERT 0x42
#define MINITEL_COULEUR_CARACTERE_JAUNE 0x43
#define MINITEL_COULEUR_CARACTERE_BLEU 0x44
#define MINITEL_COULEUR_CARACTERE_MAGENTA 0x45
#define MINITEL_COULEUR_CARACTERE_CYAN 0x46
#define MINITEL_COULEUR_CARACTERE_BLANC 0x47

#define MINITEL_TEXTE_CLIGNOTANT 0x48
#define MINITEL_TEXTE_FIXE 0x49
#define MINITEL_LARGEUR_HAUTEUR_NORMALES 0x4C
#define MINITEL_HAUTEUR_DOUBLE 0x4D
#define MINITEL_LARGEUR_DOUBLE 0x4E
#define MINITEL_LARGEUR_HAUTEUR_DOUBLES 0x4F

#define MINITEL_COULEUR_FOND_NOIR 0x50
#define MINITEL_COULEUR_FOND_ROUGE 0x51
#define MINITEL_COULEUR_FOND_VERT 0x52
#define MINITEL_COULEUR_FOND_JAUNE 0x53
#define MINITEL_COULEUR_FOND_BLEU 0x54
#define MINITEL_COULEUR_FOND_MAGENTA 0x55
#define MINITEL_COULEUR_FOND_CYAN 0x56
#define MINITEL_COULEUR_FOND_BLANC 0x57

#define MINITEL_CARACTERE_INVERSION_FOND 0x5D


void EnvoyerAuMinitel(unsigned char Donnee);
void AfficheTexteMinitel(const rom char * Texte);
void ConvertirEtAfficherMinitel(int Valeur, unsigned char Base);
void AfficheOctetMinitel(unsigned char Octet);
void ChoisirUnAttribut(unsigned char Attribut);
void FaireClignoterCaractere(unsigned char X, unsigned char Y, unsigned int NombrePeriodes, unsigned int DelaiDesactive, unsigned int DelaiActive, unsigned char Caractere);
void PositionnerCurseurMinitel(unsigned char X, unsigned char Y);
unsigned char ChoisirCouleurCaractere(unsigned char CodeCouleurCaractere);
unsigned char ChoisirCouleurFond(unsigned char CodeCouleurFond);
void AfficherDemandeSaisie(unsigned char X, unsigned char Y, const rom char *Texte);
void EffacerDemandeSaisie(unsigned char X, unsigned char Y, const rom char *Texte);
void AfficherResultatJeu(unsigned char Resultat);
unsigned char RecevoirDuMinitel(void);


