
/* LED */

#define DIRECTION_LED_1 TRISAbits.TRISA0
#define DIRECTION_LED_2 TRISAbits.TRISA1

#define BROCHE_LED_1 LATAbits.LATA0
#define BROCHE_LED_2 LATAbits.LATA1


/* I2C */

#define DIRECTION_I2C_SCL TRISCbits.TRISC3
#define DIRECTION_I2C_SDA TRISCbits.TRISC4

#define BROCHE_I2C_SCL PORTCbits.RC3
#define BROCHE_I2C_SDA PORTCbits.RC4


/* USART 1 - MINITEL */

#define DIRECTION_TX_1 TRISCbits.TRISC6
#define DIRECTION_RX_1 TRISCbits.TRISC7

#define BROCHE_TX_1 PORTCbits.RC6
#define BROCHE_RX_1 PORTCbits.RC7


/* USART 2 - EXTERIEUR */

#define DIRECTION_TX_2 TRISBbits.TRISB2
#define DIRECTION_RX_2 TRISBbits.TRISB3

#define BROCHE_TX_2 PORTBbits.RB2
#define BROCHE_RX_2 PORTBbits.RB3

#define COMMUTATION_USART PORTBbits.RB3

#define ADRESSE_I2C_EEPROM 0xA0


#define MINITEL 0
#define XBEE 1



#define LongueurTrammeVariable 56


#define LARGEUR_MAXIMALE_GRILLE 15
#define HAUTEUR_MAXIMALE_GRILLE 15



#define ETAT_JEU_DEPART 0x00
#define ETAT_JEU_TEMPORAIRE 0x43
#define ETAT_JEU_PLACEMENT_FLOTTE 0x01
#define ETAT_JEU_MODIFICATION_PLACEMENT_FLOTTE 0x02
#define ETAT_JEU_ATTENTE_PLACEMENT_ADVERSAIRE 0x03
#define ETAT_JEU_SAISIE_COORDONNEES_TIR_JOUEUR 0x04
#define ETAT_JEU_ATTENTE_COORDONNEES_TIR_ADVERSAIRE 0x06
#define ETAT_JEU_PERDU 0x07
#define ETAT_JEU_GAGNE 0x08
